process.env.NTBA_FIX_319 = 'junk';
import SendMessage from './flows/send_message';
import TaskMessage from './flows/task_message';
import { IProfileConfig } from './config/config';
import { ISimpleMessageOptions, ITaskOptions } from './utils';

export default class Telme {
  static async SendMessage(config: IProfileConfig, options: ISimpleMessageOptions) {
    await SendMessage.send(config, options.message);
    return true;
  }
  static async RunTask(config: IProfileConfig, options: ITaskOptions) {
    await TaskMessage.run(config, options);
  }
}
export namespace Interfaces {
  export interface IConfig extends IProfileConfig { };
  export interface IMessageOptions extends ISimpleMessageOptions { };
  export interface ITaskMessageOptions extends ITaskOptions { };
}